Package org.jcsp.net.settings

# Class ConfigReader.XMLValidationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.jcsp.net.settings.ConfigReader.XMLValidationException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `ConfigReader`

public static class ConfigReader.XMLValidationException extends RuntimeException
Thrown in the event of a semantic error in the parsed XML file.

Author:
  Quickstone Technologies Limited
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`XMLValidationException()`
Creates a new exception without a detail message.
`XMLValidationException(String msg)`
Creates a new exception with a detail message.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### XMLValidationException

public XMLValidationException()
Creates a new exception without a detail message.

### XMLValidationException

public XMLValidationException(String msg)
Creates a new exception with a detail message.

Parameters:
  `msg` - the detail message.